GET - Worksheet Question Configuration
Retrieves the finalized question configuration of a worksheet by its ID.
The response includes worksheet details such as board, grade, subject, status, topic, number of questions, documents, audio, subject matter, learning standards, and the actual question configuration.
How to Use:
- Call
GET /worksheet/v1/question-config/{work_sheet_id}with the worksheet ID. - On success, you will receive all worksheet metadata along with question configuration.
- If the worksheet or configuration step does not exist, a
404error is returned. - If the configuration step failed, a
400error with the failure message is returned.
Path Parameters:
work_sheet_id(UUID, required): The unique ID of the worksheet.
GET
/
worksheet
/
v1
/
question-config
/
{work_sheet_id}
Get Worksheet Question Configuration
curl --request GET \
--url https://api-staging.crazygoldfish.com/worksheet/v1/question-config/{work_sheet_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-staging.crazygoldfish.com/worksheet/v1/question-config/{work_sheet_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.crazygoldfish.com/worksheet/v1/question-config/{work_sheet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "152764ca-1685-427c-aba7-4b92dcc0d60f",
"board": {
"id": "baf36573-d049-4636-9c4b-bc9cda6270fe",
"name": "CBSE"
},
"grade": {
"id": "28820b1a-34e1-4003-b5bd-96455ca2c6d8",
"name": "Grade 10"
},
"section": null,
"subject": {
"id": "6dd7ebda-1bc5-4c01-8649-372579189073",
"name": "Science"
},
"status": "Completed",
"number_of_questions": 10,
"topic": "Magnet",
"documents": [],
"audio": null,
"subject_matter": {
"topics_to_be_covered": {
"topic": {
"ai_recommendations": [
"..."
],
"additional_recommendations": [
"..."
]
}
},
"prerequisite_knowledge": {
"prerequisite": {
"ai_recommendations": [
"..."
],
"additional_recommendations": [
"..."
]
}
},
"key_concepts_and_subconcepts": {
"concepts": {
"ai_recommendations": [
"..."
],
"additional_recommendations": [
"..."
]
}
}
},
"learning_standards": {
"competencies": {
"competency_list": [
{
"name": "C-8.1",
"description": "..."
},
{
"name": "C-8.2",
"description": "..."
}
]
},
"learning_outcomes": {
"outcomes": {
"ai_recommendations": [
"..."
],
"additional_recommendations": [
"..."
]
}
},
"smart_learning_objectives": {
"objects": {
"ai_recommendations": [
"..."
],
"additional_recommendations": [
"..."
]
}
}
},
"question_configuration": {
"bloom_summary": [
{
"bloom": "remember",
"question_count": 3
},
{
"bloom": "understand",
"question_count": 3
},
{
"bloom": "apply",
"question_count": 3
},
{
"bloom": "analyze",
"question_count": 1
}
],
"question_summary": [
{
"bloom": "remember",
"difficulty": "easy",
"question_type": "true_false",
"question_count": 1,
"learning_objectives": "Students will explain the deflection of a compass needle..."
},
{
"bloom": "analyze",
"difficulty": "hard",
"question_type": "long_answer",
"question_count": 1,
"learning_objectives": "Students will analyze the causes of tooth decay..."
}
],
"difficulty_summary": [
{
"difficulty": "easy",
"question_count": 3
},
{
"difficulty": "medium",
"question_count": 5
},
{
"difficulty": "hard",
"question_count": 2
}
],
"question_type_summary": [
{
"count": 1,
"question_type": "true_false"
},
{
"count": 2,
"question_type": "long_answer"
},
{
"count": 1,
"question_type": "short_answer"
},
{
"count": 1,
"question_type": "match_the_column"
},
{
"count": 2,
"question_type": "mcq_single_answer"
},
{
"count": 3,
"question_type": "mcq_multiple_answer"
}
]
}
}
}{
"detail": [
{
"msg": "Failed to generate question configuration due to invalid input."
}
]
}{
"detail": [
{
"msg": "Worksheet question configuration step not found."
}
]
}{
"detail": [
{
"msg": "Unexpected server error."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the worksheet
Response
Worksheet question configuration retrieved successfully.
The response is of type object.
Was this page helpful?
⌘I
Get Worksheet Question Configuration
